cascading.pipe.joiner

## Class BufferJoin

- java.lang.Object
- - cascading.pipe.joiner.BaseJoiner
  - - cascading.pipe.joiner.BufferJoin

- All Implemented Interfaces:
    DeclaresResults, Joiner, java.io.Serializable

      public class BufferJoin
      extends BaseJoiner

  Class BufferJoiner notifies the Cascading planner that the next `Buffer` instance will implement a custom join strategy.

  Internally this class simply returns `Fields.NONE` from `BaseJoiner.getFieldDeclaration()` as a flag to the planner.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferJoin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<Tuple>` | `getIterator(JoinerClosure closure)` Returns an iterator that joins the given CoGroupClosure co-groups.
    `int` | `numJoins()` Returns the number of joins this instance can handle.

    - ### Methods inherited from class cascading.pipe.joiner.BaseJoiner

      `getFieldDeclaration`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferJoin

          public BufferJoin()

  - ### Method Detail

    - #### getIterator

          public java.util.Iterator<Tuple> getIterator(JoinerClosure closure)

      Description copied from interface: `Joiner`
      Returns an iterator that joins the given CoGroupClosure co-groups.
      Parameters:
        `closure` - of type GroupClosure
      Returns:
        an iterator

    - #### numJoins

          public int numJoins()

      Description copied from interface: `Joiner`
      Returns the number of joins this instance can handle. A value of -1 denotes there is no limit.
      Returns:
        an int

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.